<?php
/*
	欢迎使用DM企业建站系统，本系统由www.demososo.com开发。
*/
if(!defined('IN_DEMOSOSO')) {
	exit('this is wrong page,please back to homepage');
}
?>
<?php
 $bgv = '';
 if($bannerbg<>'') $bgv = 'background:'.$bannerbg.'; ';
if($bannerbgtmd == 0) $banneropacitybg ='';
else $banneropacitybg = '<div class="opacitybg" style = "'.$bgv.'opacity:'.$bannerbgtmd.'"> </div>';


if($bannereffect<>'hide') {

  if($header_pc=='menu_bot_banner'){

        echo '<div class="headerline1">';
        echo '<div class="container">';
        if($logoimg<>'') {
             echo '<div class="logo"><a href="'.BASEURLPATH.'">';
             echo '<img src="'.$logoimg.'" alt="" />';
             echo '</a></div>';}

        echo '</div>';
  }
 // echo $bannereffect;
 //-----banner--------
  //if($alias=='index') 	$bannereffect = 'banner_block.php');
 //inc_brannereffect($bannereffect);
  //if(substr($bannereffect,0,5)=='self_') $file = TPLCURROOT.'selfblock/banner/'.$bannereffect;
 //  else $file = BLOCKROOT.'banner/'.$bannereffect;

//---banner bg -------------
	if($banner=='hide') $banner = '';
 $bannerstyle='';

 if(substr($banner,0,6)=='common') {
       $bgrootv = UPLOADROOT.'image/'.$banner;
       $bgv = UPLOADPATH.'image/'.$banner;
 }else{
       $bgrootv = UPLOADROOTIMAGE.$banner;
       $bgv = UPLOADPATHIMAGE.$banner;
 }
  


   $bgimgv  = "background-image: url('$bgv');";
      if($bannerbg<>'') {
          if($banner<>'') {
            if(is_file($bgrootv)) $bannerstyle= ' style="background-color:'.$bannerbg.';'.$bgimgv.'background-size:auto"';
            else  $bannerstyle = ' style="background-color:'.$bannerbg.'"';
        }
         else $bannerstyle = ' style="background-color:'.$bannerbg.'"';

      }
      else{
          if($banner<>'' &&  is_file($bgrootv)) $bannerstyle= ' style="'.$bgimgv.'"';
      }

//---bannertext---------
   if($bannertext=='') $bannertext = $bannertitle;

   if($bannertext=='hide'){ $bannertext = '';}
   else {
         if($bannertextstyle<>'') $bannertextstyle=' style="'.$bannertextstyle.'"';
     $bannertext = '<h2 '.$bannertextstyle.'>'.strtoupper(decode($bannertext)).'</h2>';
    }

//----bannerfile-----------

      if(substr($bannereffect,0,5)=='self_') $file =  TPLCURROOT.'selfblock/banner/'.$bannereffect;
      else if(substr($bannereffect,0,7)=='jthome_') $file =  JTHOMEROOT.$bannereffect.'.php';
      else  $file = SYSBLOCKROOT.'banner/'.$bannereffect;


 //echo $file;

 //$arrimg = explode('/',$bannereffect);
 //$jteffectpath = REGIONPATH.'jteffect/'.$arrimg[0].'/';
  if(checkfile($file)) require_once($file);

}


  if($header_pc=='menu_bot_banner') echo '</div>';
?>

<?php
if($header_pc=='menu_bot_banner') {
?>
 <div class="menu   needsuperfish ">
<div class="container">
      <?php
       require BLOCKROOT.'tpl/menudm.php';
     ?>
     </div>
</div><!-- end menu -->
<?php
}

?>